Package docking.menu

# Class MenuHandler

java.lang.Object
docking.menu.MenuHandler

All Implemented Interfaces:
  `EventListener`, `MenuListener`, `PopupMenuListener`

Direct Known Subclasses:
  `MenuBarMenuHandler`, `PopupMenuHandler`

public abstract class MenuHandler extends Object implements MenuListener, PopupMenuListener
`MenuHandler` provides a listener interface for menus. This interface has been provided to allow the listener to manage focus and help behavior.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MenuHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `menuCanceled(MenuEvent e)`
  Invoked when a menu is cancelled (not sure if this is ever invoked)
  `void`
  `menuDeselected(MenuEvent e)`
  Invoked when a menu is no longer selected.
  `void`
  `menuItemEntered(DockingActionIf action)`
  Invoked when the mouse highlights a menu item.
  `void`
  `menuItemExited(DockingActionIf action)`
  Invoked when the mouse exits a menu item.
  `void`
  `menuSelected(MenuEvent e)`
  Invoked when a menu is selected.
  `void`
  `popupMenuCanceled(PopupMenuEvent e)`
  This method is called when the popup menu is canceled
  `void`
  `popupMenuWillBecomeInvisible(PopupMenuEvent e)`
  This method is called before the popup menu becomes invisible Note that a JPopupMenu can become invisible any time
  `void`
  `popupMenuWillBecomeVisible(PopupMenuEvent e)`
  This method is called before the popup menu becomes visible
  `void`
  `processMenuAction(DockingActionIf action, ActionEvent event)`
  Invoked when a menu action item is selected.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MenuHandler

    public MenuHandler()

- ## Method Details

  - ### processMenuAction

    public void processMenuAction(DockingActionIf action, ActionEvent event)
    Invoked when a menu action item is selected.
    Parameters:
      `action` - associated action.
      `event` - event details.

  - ### menuItemEntered

    public void menuItemEntered(DockingActionIf action)
    Invoked when the mouse highlights a menu item.
    Parameters:
      `action` - associated action.

  - ### menuItemExited

    public void menuItemExited(DockingActionIf action)
    Invoked when the mouse exits a menu item.
    Parameters:
      `action` - associated action.

  - ### menuCanceled

    public void menuCanceled(MenuEvent e)
    Invoked when a menu is cancelled (not sure if this is ever invoked)
    Specified by:
      `menuCanceled` in interface `MenuListener`
    See Also:
      - `MenuListener.menuCanceled(javax.swing.event.MenuEvent)`

  - ### menuDeselected

    public void menuDeselected(MenuEvent e)
    Invoked when a menu is no longer selected. This is always preceeded by a menuSelected invocation. This is invoked prior to the processMenuAction if an action item is selected.
    Specified by:
      `menuDeselected` in interface `MenuListener`
    See Also:
      - `MenuListener.menuDeselected(javax.swing.event.MenuEvent)`

  - ### menuSelected

    public void menuSelected(MenuEvent e)
    Invoked when a menu is selected.
    Specified by:
      `menuSelected` in interface `MenuListener`
    See Also:
      - `MenuListener.menuSelected(javax.swing.event.MenuEvent)`

  - ### popupMenuWillBecomeVisible

    public void popupMenuWillBecomeVisible(PopupMenuEvent e)
    This method is called before the popup menu becomes visible
    Specified by:
      `popupMenuWillBecomeVisible` in interface `PopupMenuListener`
    See Also:
      - `PopupMenuListener.popupMenuWillBecomeVisible(javax.swing.event.PopupMenuEvent)`

  - ### popupMenuWillBecomeInvisible

    public void popupMenuWillBecomeInvisible(PopupMenuEvent e)
    This method is called before the popup menu becomes invisible Note that a JPopupMenu can become invisible any time
    Specified by:
      `popupMenuWillBecomeInvisible` in interface `PopupMenuListener`
    See Also:
      - `PopupMenuListener.popupMenuWillBecomeInvisible(javax.swing.event.PopupMenuEvent)`

  - ### popupMenuCanceled

    public void popupMenuCanceled(PopupMenuEvent e)
    This method is called when the popup menu is canceled
    Specified by:
      `popupMenuCanceled` in interface `PopupMenuListener`
    See Also:
      - `PopupMenuListener.popupMenuCanceled(javax.swing.event.PopupMenuEvent)`